Module java.base
Package java.util

## Class NoSuchElementException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.util.NoSuchElementException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `InputMismatchException`

    public class NoSuchElementException
    extends RuntimeException

Thrown by various accessor methods to indicate that the element being requested does not exist.

Since:
  1.0
See Also:
  `Enumeration.nextElement()`, `Iterator.next()`, Serialized Form

### Constructor Summary

Constructors
`NoSuchElementException()` Constructs a `NoSuchElementException` with `null` as its error message string.
`NoSuchElementException​(String s)` Constructs a `NoSuchElementException`, saving a reference to the error message string `s` for later retrieval by the `getMessage` method.

### Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoSuchElementException

    public NoSuchElementException()

Constructs a `NoSuchElementException` with `null` as its error message string.

#### NoSuchElementException

    public NoSuchElementException​(String s)

Constructs a `NoSuchElementException`, saving a reference to the error message string `s` for later retrieval by the `getMessage` method.

Parameters:
  `s` - the detail message.